Subject: Re: [PATCH] connector: remove lazy workqueue creation

From: Tejun Heo <[email-masked]>
Date: Fri, 15 Oct 2010 15:38:13 +0200

Hello,

On 10/15/2010 03:06 PM, Evgeniy Polyakov wrote:
> On Fri, Oct 15, 2010 at 11:55:22AM +0200, Tejun Heo ([email-masked]) wrote:
>> Commit 1a5645bc (connector: create connector workqueue only while
>> needed once) implements lazy workqueue creation for connector
>> workqueue.  With cmwq now in place, lazy workqueue creation doesn't
>> make much sense while adding a lot of complexity.  Remove it and
>> allocate an ordered workqueue during initialization.
>>
>> This also removes a call to flush_scheduled_work() which is deprecated
>> and scheduled to be removed.
> 
> Looks good, thank you.
> Ack.

Are you gonna route this patch?  If not, I can route it through
workqueue tree.

Thank you.

-- 
tejun